<div class="animated fadeIn">
	<div class="card">
		<div class="card-header">
			<i class="icon-drop"></i> Deploy
		</div>
		<div class="card-body">
			<div class="row">
				<div class="col-lg-6">
					<div class="card">
						<div class="card-header">
							<strong>Process</strong>
						</div>
						<div class="card-body">
							<div class="form-group">
								<label for="vat">Visualize Process Id to Deploy:</label>

								<div class="col-md-12">
									<div class="input-group">
										<input type="processId" id="input2-group2" name="input2-group2"
											class="form-control" placeholder="fec59d82710b4301a05ed54f5f5058b8"
											[(ngModel)]="process_id"> <span class="input-group-append">
											<button type="button" class="btn btn-primary" data-toggle="modal"
												(click)="lookup(process_id)" [disabled]="!(process_id)">
												<i class="cui-magnifying-glass"></i> LookUp
											</button>
										</span>
									</div>
								</div>
							</div>
						</div>

						<div class="card-footer text-center">
							<button type="reset" class="btn btn-sm btn-danger" (click)="resetProcessId()"
								[disabled]="!(process_id)">
								<i class="cui-thumb-down"></i> Reset
							</button>
						</div>
					</div>
				</div>
				<div class="col-lg-6">
					<div class="card">
						<div class="card-header">
							<strong>Devices</strong>
						</div>
						<div class="text-center col-md-12 col-form-label" >
							<p>You have to enter the MAC adresse(s) <strong>manually</strong>. No auto-detect feature anymore, sorry!</p>
						</div>
						<div class="card-body">
							<div class="form-group row">
								<div class="col-md-12">
									<div class="input-group">
										<label class="col-md-3 col-form-label" for="multiple-select">Device to add</label>
										<input type="text" id="a_device" class="form-control" [(ngModel)]="_device"
											placeholder="5f:dd:c2:a2:33:69"
											pattern="^[0-9a-f]{1,2}([\.:-])(?:[0-9a-f]{1,2}\1){4}[0-9a-f]{1,2}$"
											[ngModelOptions]="{standalone:true}">
										<span class="input-group-append">
											<button type="button" class="btn btn-primary"
												(click)="addDeviceToList(_device)" [disabled]="!(_device)">
												<i class="fa fa-plus-circle fa-lg mt-1"></i> Add
											</button>
										</span>
									</div>
								</div>
							</div>
							<div class="form-group row">
								<div class="col-md-12">
									<label class="col-form-label" for="multiple-select">
										List of Devices this Project will be Deployed to:
									</label>
									<select id="device_list" name="device_list" [(ngModel)]="selectedDevice"
										class="form-control" size="4">
										<option *ngFor="let dvc of device_list" [value]="dvc.mac_address">{{dvc.mac_address}}
											{{dvc.project_name !== null ? '(' + dvc.project_name + ')' : ''}}
										</option>
									</select>
								</div>
							</div>
							<div class="text-center">
								<button type="reset" class="btn btn-sm btn-danger"
									(click)="removeDeviceFromList(selectedDevice)">
									<i class="fa fa-ban"></i> Remove Selected
								</button>
							</div>
						</div>
						<div class="card-footer text-center">
                            <!--
							<button type="submit" class="btn btn-sm btn-primary" (click)="autoDetectDevices()">
								<i class="fa fa-ban"></i> Autodetect @ Montreuil
							</button>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            -->
							<button type="button" class="btn btn-sm btn-danger" (click)="clearAllList()">
								<i class="fa fa-ban"></i> Clear List
							</button>
						</div>
					</div>

				</div>
			</div>
		</div>

		<div class="card-footer text-center">
			<button type="submit" class="btn btn-sm btn-primary" (click)="startDeploy(process_id)">
				<i class="fa fa-dot-circle-o"></i> Start Deploy
			</button>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<button type="reset" class="btn btn-sm btn-danger" (click)="resetAllFields()">
				<i class="fa fa-ban"></i> Reset
			</button>
		</div>
	</div>
</div>

<div bsModal #detailsModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
	aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><b>Process details for id: </b>{{ selectedProcess?.id }}</h4>
				<button type="button" class="close" (click)="detailsModal.hide()" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="form-group">
					<p>
						<label for="vat">Project Name</label> <input type="text" class="form-control" id="project_name"
							value="{{ selectedProcess?.project.name }}" readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Title</label> <input type="text" class="form-control" id="project_title"
							value="{{ selectedProcess?.project.title }}" readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Description</label> <input type="text" class="form-control" id="vat"
							value="{{ selectedProcess?.project.description }}" readonly="true">
					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Link to VM image</label><br>
						<span class="input-group-append">

							<input type="text" class="form-control" id="url_image"
								value="{{ selectedProcess?.image_url }}" readonly="true">

							<button type="button" class="btn btn-primary" data-toggle="modal"
								(click)="redirectToVM(selectedProcess.image_url)"
								[disabled]="!(selectedProcess?.image_url)">
								<i class="cui-magnifying-glass"></i>
							</button>
						</span>

					</p>
				</div>
				<div class="form-group">
					<p>
						<label for="vat">Device</label>
						<input type="text" class="form-control" id="url_image"
							value="{{ selectedProcess.project.device}}" readonly="true">
					</p>
				</div>

			</div>

			<div class="modal-footer">
				<button type="button" class="btn btn-secondary" (click)="detailsModal.hide()">Close</button>
			</div>
		</div>
		<!-- /.modal-content -->
	</div>
	<!-- /.modal-dialog -->
</div>
<!-- /.modal -->
